Adobe Flash Player no funciona con Amazon Prime

17

Tengo Ubuntu 12.04 64 bits usando Google Chrome. Tuve cromo del centro de aplicaciones y hoy el video principal de amazon dejó de funcionar. Me dijo que actualizara Flash. Así que desinstalé Chrome e instalé Google Chrome. No funcionó Luego descargué flash para ubuntu a través de apt. Ese me dio un mensaje de "la versión flash no es compatible". La versión flash era 11.

Ahora probé enlace

Funcionó, pero justo en el medio del video, volvió a aparecer el mensaje de error.

Sorry we are unable to stream this video. This is likely because your Flash Player needs to be updated.

Así que no sé qué pasó.

    
pregunta Alex 03.06.2012 - 02:12

10 respuestas

4

Probablemente esto no funcione en Google Chrome para Linux debido a las limitaciones de Pepper Flash, ya que Google menciona en su página de soporte :

  

Usuarios de Linux: Adobe Flash Player utiliza una API multiplataforma, Pepper API   (PPAPI), para ejecutar su complemento en Chrome. Es posible que notes algunos de los   problemas conocidos a continuación específicos de Linux Chrome:

     

[...]

     
  • No se admite la visualización de contenido de Adobe Access (DRM), ya que Adobe no lo admite en Linux.
  •   

[...]

Creo que es muy probable que:

  • Amazon ha eliminado el soporte para Flash anterior 11.2 para Linux (con la API normal).
  • El soporte para DRM requerido en 11.7 en Chrome para Linux no funciona debido a las limitaciones antes mencionadas.

Esto hace que Ubuntu caiga entre dos taburetes en el soporte para ver video habilitado para DRM.

    
respondido por el gertvdijk 21.06.2013 - 12:24
23

Tuve este mismo problema en Ubuntu 12.04 usando Chromium. Lo arreglé siguiendo las instrucciones en la página de ayuda de adobe para instalar el módulo de capa de abstracción de hardware:

Requisitos previos para la reproducción de contenido protegido

Para Ubuntu 10.04 o posterior, asegúrese de que el módulo de capa de abstracción de hardware se instale primero con apt-get. (Observe cuidadosamente los errores de instalación "hal", ya que una instalación dañada del paquete puede seguir afectando la reproducción del video).

sudo apt-get install hal

Una vez completada la instalación de la biblioteca "libhal" (HAL), cierre el navegador y borre los directorios de Adobe Access ejecutando los siguientes comandos de shell:

cd ~/.adobe/Flash_Player
rm -rf NativeCache AssetCache APSPrivateData2

Nota: Si falta el módulo de capa de abstracción de hardware, Flash Player aún funciona. Sin embargo, no puede reproducir contenido protegido que requiera el módulo Adobe Flash Access DRM (Gestión de derechos digitales).

    
respondido por el jpetersen 11.06.2012 - 00:26
3

intente abrir esta página . Verá un pequeño cuadro con el título información de la versión . Además, ejecutará un breve video en flash como una prueba y te dirá

1) si tu complemento flash funciona correctamente

2) la versión exacta del flash que ha instalado (una buena base para una mayor resolución de problemas)

Aunque no es una solución directamente, podría ser útil para usted.

    
respondido por el offline 10.06.2012 - 22:32
1

En mi sistema 10.04, ejecuté Administrador de paquetes de Synaptic , busqué flash y encontré un paquete llamado flashplugin-installer version 11.2.202.238ubuntu0.10.04.1 . Elegirlo para su instalación hizo que eliminara la versión anterior del complemento flash que era para 64 bits. Sin embargo, esto resolvió el problema para mí. Ahora puedo reproducir videos instantáneos principales.

    
respondido por el Cynthia 11.09.2012 - 01:48
1

A veces, cuando el flash se actualiza automáticamente, la versión más nueva no funciona para mí como la anterior. No pude encontrar una manera fácil de degradar, pero aquí hay una manera que funciona para mí cuando uso Firefox:

  1. Descargue la versión de trabajo anterior de adobe de los archivos de Flash Player . Por lo que puedo decir, las versiones 11.2.202.xxx son para Linux. La versión que descargué, 11.2.202.275 , apareció en una carpeta comprimida. Cuando lo extraje, vi que libflashplayer.so estaba dentro.
  2. Moví libflashplayer.so a ~/.mozilla/plugins/ .
  3. Reinicia Firefox. Mira tus videos.
respondido por el Kevin 13.04.2013 - 15:10
0

Otro problema común con Flash, especialmente en 12.04, es "Gnash", ese pequeño error me causó numerosos problemas con flash. Simplemente elimine por completo Gnash y luego descargue el complemento flash de Adobe o del "Centro de software".

La forma terminal:

sudo apt-get autoremove --purge gnash && sudo apt-get install adobe-flashplugin -y

Para aquellos que no saben, quita Gnash y las configuraciones (con purga) y luego instala la última versión de flash. Es posible que deba reiniciar después (algo que no hago muy seguido si soy sincero).

Editar Es posible que deba reiniciarse una vez que se elimine Gnash, a veces sus configuraciones están activas en la sesión actual.

    
respondido por el ash 12.06.2012 - 16:27
0

Chrome tiene compatibilidad con Flash integrada en el navegador. Esto no es como Firefox usa flashplugin-installer / flashplugin-nonfree o adobe-flashplugin (que están separados del navegador, pero utilizados por el navegador). El complemento empaquetado de Ubunbu puede usar el HAL, mientras que el complemento integrado a Chrome no puede.

    
respondido por el David Walker 07.08.2012 - 13:29
0

/. adobe / Flash_Player / * probablemente no tenga los permisos correctos, incluso si vuelve a instalar. Intente lo siguiente si está atascado después de todo lo anterior:

sudo apt-get purge flashplugin-installer ubuntu-restricted-extras
sudo apt-get install flashplugin-installer ubuntu-restricted-extras

Cerrar Chromium y:

cd ~/.adobe/Flash_Player
rm -rf ./*

Abre Chromium e intenta reproducir el video problemático (probablemente aún no se reproduzca) y luego:

cd ~/.adobe/Flash_Player
chmod 777 *

Lo más probable es que estos dos últimos comandos sean todo lo que realmente necesita hacer. El resto solo está ahí para completarlo.

    
respondido por el jarederaj 12.08.2014 - 21:50
0

Soy un novato de Ubuntu y probé varias soluciones para hacer que no se instale flash, o que no tenga una versión actualizada de Chrome o Chrome, etc., para hacer que la música de Amazon funcione en Chrome y Chromium. Al final fue a firefox y fue a agregar ons & gt; plug ins & gt; ... configurar el flash de onda de choque para que se active siempre y ahora funciona bien.

    
respondido por el Gary Tomkins 25.02.2018 - 09:42
-1

Vaya a su complemento Google Chrome y busque adobe flash para Google Chrome e instale el más adecuado para su navegador. Creo que tiene algo que ver con tu navegador. ¿Lo has probado en otro navegador como Firefox?

    
respondido por el all4naija 11.06.2012 - 14:15

Lea otras preguntas en las etiquetas